Prima::FontDialog(3)

NAME
Prima::FontDialog - standard font dialog

SYNOPSIS
        use Prima::FontDialog;
        my $f = Prima::FontDialog-> create;
        return unless $f-> execute == mb::OK;
        $f = $f-> logFont;
        print "$_:$f->{$_}\n" for sort keys %$f;

DESCRIPTION
The dialog provides selection of font by name, style, size, and encoding. The font selected is returned by logFont property.

API

  Properties

fixedOnly BOOLEAN
    Selects whether only the fonts of fixed pitch ( 1 ) or all fonts ( 0 ) are displayed in the selection list.

    Default value: 0

logFont FONT
    Provides access to the interactive font selection as a hash reference. FONT format is fully compatible with "Prima::Drawable::font".

showHelp BOOLEAN
    Create-only property.

    Specifies if the help button is displayed in the dialog.

    Default value: 0

  Events

BeginDragFont
    Called when the user starts dragging a font from the font sample widget by left mouse button.

    Default action reflects the status in the dialog title

EndDragFont $WIDGET
    Called when the user releases the mouse drag over a Prima widget. Default action applies currently selected font to $WIDGET.

AUTHOR
Dmitry Karasik, <dmitry@karasik.eu.org>.

SEE ALSO
Prima, Prima::Window, Prima::Drawable.